### Enumeration

# GtkContentFit

since: 4.8

#### Declaration

    enum Gtk.ContentFit

#### Description [src]

Controls how a content should be made to fit inside an allocation.

Available since: 4.8

#### Members

`GTK_CONTENT_FIT_FILL`

  Make the content fill the entire allocation, without taking its aspect ratio in consideration. The resulting content will appear as stretched if its aspect ratio is different from the allocation aspect ratio.

  - Value: `0`
  - Nickname: `fill`
  - Available since: 4.8
`GTK_CONTENT_FIT_CONTAIN`

  Scale the content to fit the allocation, while taking its aspect ratio in consideration. The resulting content will appear as letterboxed if its aspect ratio is different from the allocation aspect ratio.

  - Value: `1`
  - Nickname: `contain`
  - Available since: 4.8
`GTK_CONTENT_FIT_COVER`

  Cover the entire allocation, while taking the content aspect ratio in consideration. The resulting content will appear as clipped if its aspect ratio is different from the allocation aspect ratio.

  - Value: `2`
  - Nickname: `cover`
  - Available since: 4.8
`GTK_CONTENT_FIT_SCALE_DOWN`

  The content is scaled down to fit the allocation, if needed, otherwise its original size is used.

  - Value: `3`
  - Nickname: `scale-down`
  - Available since: 4.8